/***************************************************************************
                          kauditorview.h  -  description
                             -------------------
    begin                : Tue Jul 18 12:38:24 EEST 2000
    copyright            : (C) 2000 by Marko Grnroos
    email                : magi@iki.fi
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAUDITORVIEW_H
#define KAUDITORVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

// include files for Qt
#include <qwidget.h>
#include <qlistview.h>

class KAuditorDoc;

/** The KAuditorView class provides the view widget for the KAuditorApp instance.	
 * The View instance inherits QWidget as a base class and represents the view object of a KTMainWindow. As KAuditorView is part of the
 * docuement-view model, it needs a reference to the document object connected with it by the KAuditorApp class to manipulate and display
 * the document structure provided by the KAuditorDoc class.
 * 	
 * @author Source Framework Automatically Generated by KDevelop, (c) The KDevelop Team.
 * @version KDevelop version 0.4 code generation
 */
class KAuditorView : public QListView
{
  Q_OBJECT
  public:
    /** Constructor for the main view */
    KAuditorView(QWidget *parent = 0, const char *name=0);
    /** Destructor for the main view */
    ~KAuditorView();

    /** returns a pointer to the document connected to the view instance. Mind that this method requires a KAuditorApp instance as a parent
     * widget to get to the window document pointer by calling the KAuditorApp::getDocument() method.
     *
     * @see KAuditorApp#getDocument
     */
    KAuditorDoc *getDocument() const;

    /** contains the implementation for printing functionality */
    void print(QPrinter *pPrinter);

  public slots:
	/** Constructs the view from the document data. */
    void repaint ();

  public:
 	/** Creates the data columns. */
	void	makeColumns ();	

  private:
	/** Number of data columns. */
  	int		mColumns;
  	
  	/** Name of the currently selected item */
  	int		mSelected;
};

#endif // KAUDITORVIEW_H
